{% if messages %}
  {% include "partials/messages_dialog.html" %}

  <div id="messageInline" class="m-2 hidden">
    {% for message in messages %}
    <div class="alert {{ message.tags }} alert-dismissible" role="alert">
      <button type="button" class="close button" data-dismiss="alert" aria-label="Close">
        &times;
      </button>
      {{ message }}
    </div>
    {% endfor %}
  </div>

  <script>
    var messageInline = document.getElementById('messageInline');
    var messageDialog = document.getElementById('messageDialog');

    // Open modal
    if (typeof messageDialog.showModal === "function") {
      messageDialog.showModal();
    } else {
      messageInline.classList.remove('hidden');
    }
  </script>
{% endif %}
